﻿using System;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace FtpProcessor {
  [DataContract(Namespace = "urn:ftp-processor:request")]
  public class ProcessRequest {
    [DataMember(Order = 1)]
    public int ID;
    [DataMember(Order = 2)]
    public String Sender;
  }
  [DataContract(Namespace = "urn:ftp-processor:response")]
  public class ProcessResponse {
    [DataMember(Order = 1)]
    public int RequestID;
    [DataMember(Order = 2)]
    public String ResponseData;

    public ProcessResponse(int id, String data) {
      this.RequestID = id;
      this.ResponseData = data;
    }
  }
}